CREATE TABLE `#__music` (
 `id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
 `user_id` INT NOT NULL ,
 `name` VARCHAR( 100 ) NOT NULL ,
 `album_id` INT NOT NULL ,
 `singer_id` INT NOT NULL ,
 `genre_id` INT NOT NULL ,
 `music_url` VARCHAR( 200 ) NOT NULL ,
 `music_del_url` VARCHAR( 200 ) NOT NULL ,
 `listen` INT NOT NULL ,
 `listened` INT NOT NULL ,
 `pubdate` DATETIME NOT NULL ,
INDEX ( `user_id` )
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=2 ;

CREATE TABLE `#__music_album` (
 `id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
 `album_name` VARCHAR( 100 ) NOT NULL ,
 `description` TEXT NOT NULL ,
 `photo` VARCHAR( 100 ) NOT NULL ,
 `user_id` INT NOT NULL ,
 `pubdate` DATETIME NOT NULL ,
INDEX ( `user_id` )
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=2 ;

CREATE TABLE `#__music_genre` (
 `id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
 `genre_name` VARCHAR( 100 ) NOT NULL
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=2 ;

CREATE TABLE `#__music_singer` (
 `id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
 `singer_name` VARCHAR( 100 ) NOT NULL ,
 `description` TEXT NOT NULL ,
 `photo` VARCHAR( 100 ) NOT NULL ,
 `user_id` INT NOT NULL ,
 `pubdate` DATETIME NOT NULL ,
INDEX ( `user_id` )
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=2 ;

CREATE TABLE `#__music_pl` (
 `id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
 `music_id` INT NOT NULL ,
 `user_id` VARCHAR( 100 ) NOT NULL ,
INDEX ( `user_id` )
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=2 ;

CREATE TABLE `#__music_pl_list` (
 `id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
 `user_id` INT NOT NULL ,
 `pl_name` VARCHAR( 100 ) NOT NULL ,
INDEX ( `user_id` )
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=2 ;

INSERT INTO `#__music_genre` (`id`, `genre_name`) VALUES (2, '-'), (3, ''), (4, ''), (5, ''), (6, '/&/-'), (7, 'Hardcore'), (8, '- & '), (9, ''), (10, ''), (11, '  '), (12, ' , '), (13, ''), (14, '/'), (15, ''), (16, '');

INSERT INTO `#__modules` (`id`, `position`, `name`, `title`, `is_external`, `content`, `ordering`, `showtitle`, `published`, `user`, `config`, `original`, `css_prefix`, `cache`, `cachetime`, `cacheint`, `template`) VALUES
('', 'top', '', '', 1, 'mod_user_player', 1, 0, 1, 0, '', 1, '', 0, 1, 'HOUR', 'module.tpl');

INSERT INTO #__comment_targets (`target`, `component`, `title`) VALUES ('music', 'music', ' ')