<?php

class p_user_musics extends cmsPlugin {

   public function __construct(){
        
      parent::__construct();

      $this->info['plugin']           = 'p_user_musics';
      $this->info['title']            = ' ';
      $this->info['description']      = '    ';
      $this->info['author']           = 'DagStudent';
      $this->info['version']          = '1.0';

      $this->info['tab']              = '';

      $this->config[' '] = 10;

      $this->events[]                 = 'USER_PROFILE';

   }

   public function install(){
      return parent::install();
   }

   public function upgrade(){
      return parent::upgrade();
   }

   public function execute($event, $user){
      parent::execute();

      $inCore     = cmsCore::getInstance();
      $inUser     = cmsUser::getInstance();
 
      $musics     = array();

      $user_id    = $user['id'];

      $limit      = $this->config[' '];
      $pleer      = array();
      $pleer[pl]  = HOST.'/components/music/uppod/uppod.swf';
      $pleer[st]  = HOST.'/components/music/uppod/audio58-1087.txt';

      $sql = "SELECT	id,
                     name,
                     album_id,
                     singer_id,
                     genre_id,
                     music_url,
                     listen,
                     listened,
                     pubdate
                     FROM cms_music
                     WHERE user_id = '{$user_id}'
                     ORDER BY pubdate DESC
                     LIMIT {$limit}";

      $result     = $this->inDB->query($sql);

      $total      = $this->inDB->num_rows($result);

      if ($total){

         while ($music = $this->inDB->fetch_assoc($result)){

            $music['pubdate'] = $inCore->dateFormat($music['pubdate']);
            
            $sql = "SELECT  album_name FROM  cms_music_album WHERE  id = '{$music['album_id']}'";
         
            $album = $this->inDB->fetch_assoc($this->inDB->query($sql));
         
            $music['album'] = $album['album_name'];
            
            $sql = "SELECT  singer_name FROM  cms_music_singer WHERE  id = '{$music['singer_id']}'";
            
            $singer = $this->inDB->fetch_assoc($this->inDB->query($sql));
            
            $music['singer'] = $singer['singer_name'];
            
            $sql = "SELECT genre_name FROM  cms_music_genre WHERE  id = '{$music['genre_id']}'";
            
            $genre = $this->inDB->fetch_assoc($this->inDB->query($sql));
            
            $music['genre'] = $genre['genre_name'];

            $musics[] = $music;
 
         }
      }

      ob_start();
      $smarty= $this->inCore->initSmarty('plugins', 'p_user_musics.tpl');
      $smarty->assign('total', $total);
      $smarty->assign('musics', $musics);
      $smarty->assign('pleer', $pleer);
      $smarty->display('p_user_musics.tpl');
      $html = ob_get_clean();
      return $html;
   }
}

?>
