<?php
function music(){

   $inCore = cmsCore::getInstance();
   $inPage = cmsPage::getInstance();
   $inDB = cmsDatabase::getInstance();
   $inUser = cmsUser::getInstance();
 
   $inCore->loadModel('music');
 
   $model = new cms_model_music();

   $do			= $inCore->request('do', 'str', 'index');
   $page		= $inCore->request('page', 'int', '1');
   $perpage	= '10';
   
   $pleer = array();
	$pleer[pl] = HOST.'/components/music/uppod/uppod.swf';
	$pleer[st] = HOST.'/components/music/uppod/audio58-1087.txt';
 
    if ($do == 'index'){
		$usr = $inUser->id;

      $musics = $model->getMusic($page,$perpage);
      $myplmusics = $model->getMusPlmini($usr);

		$sql = "SELECT id FROM cms_music";
		$total = $inDB->num_rows($inDB->query($sql));
		
      $is_admin = $inUser->is_admin;
		
      $inPage->setTitle(" ");
      
      $inPage->addPathway('', 'music');
		$inPage->addPathway('', $_SERVER['REQUEST_URI']);
		
      $smarty = $inCore->initSmarty('components', 'com_music_index.tpl');
		$smarty->assign('pagebar', cmsPage::getPagebar($total, $page, $perpage, '/music/page-%page%'));
      $smarty->assign('musics', $musics);
      $smarty->assign('myplmusics', $myplmusics);
		$smarty->assign('usr', $usr);
		$smarty->assign('pleer', $pleer);
      $smarty->assign('is_admin', $is_admin);

      $smarty->display('com_music_index.tpl');
 
      return;
 
    }
	
	if ($do == 'view'){
	   $usr = $inUser->id;
		$music_index = $inCore->request('music_index','int');
	
		$pleer = array();
		$pleer[pl] = HOST.'/components/music/uppod/uppod.swf';
		$pleer[st] = HOST.'/components/music/uppod/audioview.txt';
		
		$mus = $model->getMus($music_index);
		$name = $model->getMusName($music_index);
		
		$inPage->addPathway($name, 'musics'.$music_index);
		$inPage->addPathway('', $_SERVER['REQUEST_URI']);
		
		$smarty = $inCore->initSmarty('components', 'com_music_view.tpl');
		$smarty->assign('mus', $mus);
		$smarty->assign('pleer', $pleer);
		$smarty->assign('usr', $usr);
		$smarty->display('com_music_view.tpl');
		
		$inCore->includeComments();
        comments('music', $music_index);
	}
	
	if ($do == 'my'){
		
		$usr = $inUser->id;

		$musics = $model->getMyMusic($usr);

		$inPage->setTitle(" ");
		
		$smarty = $inCore->initSmarty('components', 'com_music_my.tpl');
		$smarty->assign('musics', $musics);
		$smarty->assign('usr', $usr);
		$smarty->assign('pleer', $pleer);

		$smarty->display('com_music_my.tpl');
 
		return;
		
	}
 
 
   if ($do == 'add'){
 
      $is_send = $inCore->inRequest('send');
      $usr = $inUser->id;
 
      if (!$is_send){
         $genres = $model->getGenre();
         $smarty = $inCore->initSmarty('components', 'com_music_add.tpl');
         $smarty->assign('usr', $usr);
         $smarty->assign('genres', $genres);
         $smarty->display('com_music_add.tpl');
      }
 
      if ($is_send){
         $name      	= $inCore->request('name', 'str');
         $singer    	= $inCore->request('singer', 'str');
         $album		= $inCore->request('album', 'str');
         $genre_id	= $inCore->request('genre_id', 'str');
         $upload     = $inCore->inRequest('upload');
         $user_id    = $inUser->id;
         
         if (!$name){
            cmsCore::addSessionMessage('  !', 'error');
            $inCore->redirectBack(); exit;
         }
			
         if (!$singer){
            cmsCore::addSessionMessage('  !', 'error');
            $inCore->redirectBack(); exit;
         }
			
         if (!$album){
            $album = ' ';
         }
         
         $album_id = $model->getAlbumId($album);
         if (!$album_id) {
         	$album_id = $model->addAlbum($album, $user_id);
         }
         
         $singer_id = $model->getSingerId($singer);
         if (!$singer_id) {
         	$singer_id = $model->addSinger($singer, $user_id);
         }
			
         if ($upload) {
            $realfile	= $_FILES['upmp3']['name'];
            $path_parts     = pathinfo($realfile);
            $ext            = strtolower($path_parts['extension']);
            
            if ($ext == 'mp3'){
               $upload_dir = PATH.'/upload/musics/'.$user_id;
               @mkdir($upload_dir);
               file_put_contents($upload_dir.'/index.html', '');
               $filename	= md5($realfile . '-' . $user_id . '-' . time()).'.mp3';
               $uploadfile	= $upload_dir.'/'.$filename;
               $source		= $_FILES['upmp3']['tmp_name'];
               $errorCode	= $_FILES['upmp3']['error'];
               
               if ($inCore->moveUploadedFile($source, $uploadfile, $errorCode)) {
                  $music_url = HOST.'/upload/musics/'.$user_id.'/'.$filename;
                  $music_del_url = PATH.'/upload/musics/'.$user_id.'/'.$filename;
                  
               } else {
                  cmsCore::addSessionMessage('  !', 'error');
                  $inCore->redirectBack(); exit;
					}
					
            } else {
               cmsCore::addSessionMessage('  !', 'error');
               $inCore->redirectBack(); exit;
            }
            $music_id = $model->addMusic($name, $singer_id, $album_id, $genre_id, $user_id, $music_url, $music_del_url);
         } else {
            $music_url = $inCore->request('upmp3', 'str');
            $music_del_url = '0';
            $music_id = $model->addMusic($name, $singer_id, $album_id, $genre_id, $user_id, $music_url, $music_del_url);
         }
			
         if ($music_id){
            cmsCore::addSessionMessage('  !', 'success');
         }
			
         if (!$music_id){
            cmsCore::addSessionMessage('  !', 'error');
         }

         $inCore->redirect('/music'); exit;
 
      }
 
   }
 
    if ($do == 'delete'){
	
		$usr = $inUser->id;
		$music_id = $inCore->request('mus', 'int');
		
		if ($usr!=0) {
			$model->deleteMusic($music_id);
		}
		$inCore->redirectBack(); exit;
    }
	
	if ($do == 'addmuspl'){
	
      $music_id = $inCore->request('mus', 'int');
		$usr = $inUser->id;
		
		$result = $model->addmuspl($music_id,$usr);
		
      if ($result == 1){
      	echo ('!       .'); exit;
      }
      
      if ($result == 2){
      	echo ('!   .'); exit;
      }
      
      if ($result == 3){
      	echo ('     .'); exit;
      }
	}
	
	if ($do == 'delmuspl'){
	
      $music_id = $inCore->request('mus', 'int');
		$usr = $inUser->id;
		
		$result = $model->delmuspl($music_id,$usr);
		
      if ($result == true){
      	echo ('ok'); exit;
      } else {
      	echo ('ERROR'); exit;
      }
	}
	
	if ($do == 'listen'){
	
		$music_id = $inCore->request('mus', 'int');
		
		$n = $model->listen($music_id);
		
		$sql = "UPDATE cms_music
		                SET listen = '$n'
		                WHERE id = $music_id";
	  
      $inDB->query($sql) ;
      
      exit;
    }
	
	if ($do == 'listened'){
	
		$music_id = $inCore->request('mus', 'int');
		
		$n = $model->listened($music_id);

		$sql = "UPDATE cms_music
		                SET listened = '$n'
		                WHERE id = $music_id";
	  
      $inDB->query($sql) ;
      
      exit;
    }
    
    if ($do == 'view_album'){
        $usr = $inUser->id;
        $is_admin = $inUser->is_admin;
	     $album_id = $inCore->request('album_index', 'int');
	     
	     $musics = $model->getAlbumMusic($album_id,$page,$perpage);
        $album = $model->getAlbum($album_id);
        
        $sql = "SELECT id FROM cms_music WHERE album_id = '{$album_id}'";
		  $total = $inDB->num_rows($inDB->query($sql));
		  
		  $name = $model->getAlbumName($album_id);
		  
		  $inPage->addPathway($name, 'album'.$album_id);
		  $inPage->addPathway($_SERVER['REQUEST_URI']);
		  
		  $smarty = $inCore->initSmarty('components', 'com_music_album.tpl');
		  $smarty->assign('pagebar', cmsPage::getPagebar($total, $page, $perpage, '/music/album'.$album_id.'-page%page%'));
        $smarty->assign('musics', $musics);
        $smarty->assign('album', $album);
		  $smarty->assign('usr', $usr);
		  $smarty->assign('pleer', $pleer);
        $smarty->assign('is_admin', $is_admin);

        $smarty->display('com_music_album.tpl');
 
        return;
    }
    
    if ($do == 'view_singer'){
        $usr = $inUser->id;
        $is_admin = $inUser->is_admin;
	     $singer_id = $inCore->request('singer_index', 'int');
	     
	     $musics = $model->getSingerMusic($singer_id,$page,$perpage);
        $singer = $model->getSinger($singer_id);
        
        $sql = "SELECT id FROM cms_music WHERE singer_id = '{$singer_id}'";
		  $total = $inDB->num_rows($inDB->query($sql));
		  
		  $name = $model->getSingerName($singer_id);
		  
		  $inPage->addPathway($name, 'singer'.$singer_id);
		  $inPage->addPathway($_SERVER['REQUEST_URI']);
		  
		  $smarty = $inCore->initSmarty('components', 'com_music_singer.tpl');
		  $smarty->assign('pagebar', cmsPage::getPagebar($total, $page, $perpage, '/music/singer'.$singer_id.'-page%page%'));
        $smarty->assign('musics', $musics);
        $smarty->assign('singer', $singer);
		  $smarty->assign('usr', $usr);
		  $smarty->assign('pleer', $pleer);
        $smarty->assign('is_admin', $is_admin);

        $smarty->display('com_music_singer.tpl');
 
        return;
    }
    
    if ($do == 'view_singers'){
        $usr = $inUser->id;
        $is_admin = $inUser->is_admin;

        $singers = $model->getSingers($page,$perpage);
        
        $sql = "SELECT id FROM cms_music_singer";
		  $total = $inDB->num_rows($inDB->query($sql));
		  
		  $inPage->addPathway('', 'singers');
		  $inPage->addPathway('', $_SERVER['REQUEST_URI']);
		  
		  $smarty = $inCore->initSmarty('components', 'com_music_list.tpl');
		  $smarty->assign('pagebar', cmsPage::getPagebar($total, $page, $perpage, '/music/singers-page%page%'));
        $smarty->assign('singers', $singers);
		  $smarty->assign('usr', $usr);
        $smarty->assign('is_admin', $is_admin);

        $smarty->display('com_music_list.tpl');
 
        return;
    }
    
    if ($do == 'view_albums'){
        $usr = $inUser->id;
        $is_admin = $inUser->is_admin;

        $albums = $model->getAlbums($page,$perpage);
        
        $sql = "SELECT id FROM cms_music_album";
		  $total = $inDB->num_rows($inDB->query($sql));
		  
		  $inPage->addPathway('', 'albums');
		  $inPage->addPathway('', $_SERVER['REQUEST_URI']);
		  
		  $smarty = $inCore->initSmarty('components', 'com_music_list.tpl');
		  $smarty->assign('pagebar', cmsPage::getPagebar($total, $page, $perpage, '/music/albums-page%page%'));
        $smarty->assign('albums', $albums);
		  $smarty->assign('usr', $usr);
        $smarty->assign('is_admin', $is_admin);

        $smarty->display('com_music_list.tpl');
 
        return;
    }
    
   if ($do == 'edit_album'){
      $is_admin = $inUser->is_admin;
      
      if ($is_admin){
         $is_send = $inCore->inRequest('send');
         
         if (!$is_send){
         	$album_id  = $inCore->request('album_index', 'int');
         	$album     = $model->getAlbum($album_id);
         	$smarty    = $inCore->initSmarty('components', 'com_music_album_edit.tpl');
         	$smarty->assign('album', $album);
         	$smarty->display('com_music_album_edit.tpl');
         } else {
            $album_id  = $inCore->request('album_index', 'int');
            $album_name          = $inCore->request('album', 'str');
            $album_description   = $inCore->request('description', 'str');
            
            $uploaddir     = PATH.'/images/music/album/';		
            $realfile      = $_FILES['photo']['name'];
            $path_parts    = pathinfo($realfile);
            $ext           = strtolower($path_parts['extension']);
            
            if ($realfile) {
               $inCore->includeGraphics();
               if ($ext != 'jpg' and $ext != 'jpeg' and $ext != 'gif' and $ext != 'bmp' and $ext != 'png'){
                  cmsCore::addSessionMessage('!    : <b>.jpg</b>  <b>.jpeg</b>  <b>.gif</b>  <b>.bmp</b>  <b>.png</b><br/>', 'error');
                  $inCore->redirectBack(); exit;
               }
               
               
               $filename 		= md5($realfile . '-' . $album_id . '-' . time()).'.jpg';
               $uploadfile		= $uploaddir . $realfile;
               $uploadphoto 	= $uploaddir . $filename;
               $uploadthumb 	= $uploaddir . 'mini/' . $filename;
               
               $source			= $_FILES['photo']['tmp_name'];
               $errorCode 		= $_FILES['photo']['error'];
               
               $inCore->moveUploadedFile($source, $uploadfile, $errorCode);
                  
               $smallw  = 100;
               $medw    = 450;
               $medh    = 400;
                  
               @img_resize($uploadfile, $uploadphoto, $medw, $medh);
					@img_resize($uploadfile, $uploadthumb, $smallw, $smallw);
						
					@unlink($uploadfile);
               
               $model->EditAlbum($album_id,$album_name,$album_description,$filename);
            	$inCore->redirect('/music/album'.$album_id); exit;
            	
            } else {
            	$model->EditAlbum($album_id,$album_name,$album_description);
            	$inCore->redirect('/music/album'.$album_id); exit;
            }
         }
      } else {
         $inCore->redirect('/music'); exit;
      }
   }
   
   if ($do == 'edit_singer'){
      $is_admin = $inUser->is_admin;
      
      if ($is_admin){
         $is_send = $inCore->inRequest('send');
         
         if (!$is_send){
         	$singer_id    = $inCore->request('singer_index', 'int');
         	$singer       = $model->getSinger($singer_id);
         	$smarty       = $inCore->initSmarty('components', 'com_music_singer_edit.tpl');
         	$smarty->assign('singer', $singer);
         	$smarty->display('com_music_singer_edit.tpl');
         } else {
            $singer_id           = $inCore->request('singer_index', 'int');
            $singer_name         = $inCore->request('singer', 'str');
            $singer_description  = $inCore->request('description', 'str');
            
            $uploaddir     = PATH.'/images/music/singer/';		
            $realfile      = $_FILES['photo']['name'];
            $path_parts    = pathinfo($realfile);
            $ext           = strtolower($path_parts['extension']);
            
            if ($realfile) {
               $inCore->includeGraphics();
               if ($ext != 'jpg' and $ext != 'jpeg' and $ext != 'gif' and $ext != 'bmp' and $ext != 'png'){
                  cmsCore::addSessionMessage('!    : <b>.jpg</b>  <b>.jpeg</b>  <b>.gif</b>  <b>.bmp</b>  <b>.png</b><br/>', 'error');
                  $inCore->redirectBack(); exit;
               }
               
               
               $filename 		= md5($realfile . '-' . $singer_id . '-' . time()).'.jpg';
               $uploadfile		= $uploaddir . $realfile;
               $uploadphoto 	= $uploaddir . $filename;
               $uploadthumb 	= $uploaddir . 'mini/' . $filename;
               
               $source			= $_FILES['photo']['tmp_name'];
               $errorCode 		= $_FILES['photo']['error'];
               
               $inCore->moveUploadedFile($source, $uploadfile, $errorCode);
                  
               $smallw = 100;
               $medw = 220;
               $medh = 250;
                  
               @img_resize($uploadfile, $uploadphoto, $medw, $medh);
					@img_resize($uploadfile, $uploadthumb, $smallw, $smallw);
						
					@unlink($uploadfile);
               
               $model->EditSinger($singer_id,$singer_name,$singer_description,$filename);
            	$inCore->redirect('/music/singer'.$singer_id); exit;
            	
            } else {
            	$model->EditSinger($singer_id,$singer_name,$singer_description);
            	$inCore->redirect('/music/singer'.$singer_id); exit;
            }
         }
      } else {
         $inCore->redirect('/music'); exit;
      }
   }
   
   if ($do == 'mypl'){
   
      $usr = $inUser->id;
      
      if (!$model->getPl($usr)){ $model->addPl($usr);}
      
      $musics = $model->getMusPl($usr);
      
      $inPage->setTitle(" ");
      
      $inPage->addPathway(' ', 'mypl');
		$inPage->addPathway('', $_SERVER['REQUEST_URI']);
		
      $smarty = $inCore->initSmarty('components', 'com_music_mypl.tpl');
      $smarty->assign('musics', $musics);
		$smarty->assign('usr', $usr);
		$smarty->assign('pleer', $pleer);

      $smarty->display('com_music_mypl.tpl');
 
      return;
      
   }
 
}
?>
