<?php
if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }
 
class cms_model_music{
 
    function __construct(){
        $this->inDB = cmsDatabase::getInstance();
    }
	
    public function install(){
        return true;
    }
 
	public function addMusic($name, $singer_id, $album_id, $genre_id, $user_id, $music_url, $music_del_url) {
	
		$inCore = cmsCore::getInstance();
		
        $sql = "INSERT INTO cms_music (user_id, name, album_id, singer_id, genre_id, music_url, music_del_url, pubdate)
                VALUES ('{$user_id}', '{$name}', '{$album_id}', '{$singer_id}', '{$genre_id}', '{$music_url}', '{$music_del_url}', NOW())";
				
        $this->inDB->query($sql);

        if ($this->inDB->error()) { return false; }

        return $this->inDB->get_last_id('cms_music');
 
    }
	
    public function deleteMusic($music_id) {
	
		$inCore = cmsCore::getInstance();
		
		$sql = "SELECT	music_del_url
						FROM cms_music
						WHERE id = '{$music_id}'";
						
		$result = $this->inDB->query($sql);
		
		$result = $this->inDB->fetch_assoc($result);
		
		@unlink($result[music_del_url]);
 
        $sql = "DELETE FROM cms_music WHERE id = '{$music_id}'";

        $this->inDB->query($sql);
        
        if ($this->inDB->error()) { return false; }
        
        $sql = "DELETE FROM cms_music_pl WHERE music_id = '{$music_id}'";
        
        $this->inDB->query($sql);

        if ($this->inDB->error()) { return false; }

        return true;
 
    }
	
	public function getMus($music_id) {
	
      $inCore = cmsCore::getInstance();
 
      $sql = "SELECT	id,
						user_id,
						name,
						album_id,
						singer_id,
						genre_id,
						music_url,
						listen,
						listened,
						pubdate
						FROM cms_music
						WHERE id = '{$music_id}'";
 
      $result = $this->inDB->query($sql);
		
      if ($this->inDB->error()) { return false; }

      if (!$this->inDB->num_rows($result)) { return false; }
		
      $musics = array();
		
      while ($music = $this->inDB->fetch_assoc($result)){

         $music['pubdate'] = $inCore->dateFormat($music['pubdate']);
         
         $sql = "SELECT  album_name FROM  cms_music_album WHERE  id = '{$music['album_id']}'";
         
         $album = $this->inDB->fetch_assoc($this->inDB->query($sql));
         
         $music['album'] = $album['album_name'];
            
         $sql = "SELECT  singer_name FROM  cms_music_singer WHERE  id = '{$music['singer_id']}'";
            
         $singer = $this->inDB->fetch_assoc($this->inDB->query($sql));
            
         $music['singer'] = $singer['singer_name'];
         
         $sql = "SELECT genre_name FROM  cms_music_genre WHERE  id = '{$music['genre_id']}'";
            
         $genre = $this->inDB->fetch_assoc($this->inDB->query($sql));
            
         $music['genre'] = $genre['genre_name'];

         $musics[] = $music;
 
      }
		
      return $musics;
	
	}

    public function getMusic($page, $perpage) {

        $inCore = cmsCore::getInstance();
 
        $sql = "SELECT	id,
						user_id,
						name,
						album_id,
						singer_id,
						genre_id,
						music_url,
						listen,
						listened,
						pubdate
						FROM cms_music
						ORDER BY pubdate DESC
						LIMIT ".(($page-1)*$perpage).", $perpage";
 
        $result = $this->inDB->query($sql);

        if ($this->inDB->error()) { return false; }

        if (!$this->inDB->num_rows($result)) { return false; }

        $musics = array();

        while ($music = $this->inDB->fetch_assoc($result)){

            $music['pubdate'] = $inCore->dateFormat($music['pubdate']);
            
            $sql = "SELECT  album_name FROM  cms_music_album WHERE  id = '{$music['album_id']}'";
         
            $album = $this->inDB->fetch_assoc($this->inDB->query($sql));
         
            $music['album'] = $album['album_name'];
            
            $sql = "SELECT  singer_name FROM  cms_music_singer WHERE  id = '{$music['singer_id']}'";
            
            $singer = $this->inDB->fetch_assoc($this->inDB->query($sql));
            
            $music['singer'] = $singer['singer_name'];
            
            $sql = "SELECT genre_name FROM  cms_music_genre WHERE  id = '{$music['genre_id']}'";
            
            $genre = $this->inDB->fetch_assoc($this->inDB->query($sql));
            
            $music['genre'] = $genre['genre_name'];

            $musics[] = $music;
 
        }
        return $musics;
 
    }
	
	public function getMyMusic($user_id) {
	
		$inCore = cmsCore::getInstance();
		
		$sql = "SELECT	id,
						user_id,
						name,
						album_id,
						singer_id,
						genre_id,
						music_url,
						listen,
						listened,
						pubdate
						FROM cms_music
						WHERE user_id = '{$user_id}'
						ORDER BY pubdate DESC";
						
      $result = $this->inDB->query($sql);

      if ($this->inDB->error()) { return false; }

      if (!$this->inDB->num_rows($result)) { return false; }

      $musics = array();

      while ($music = $this->inDB->fetch_assoc($result)){

         $music['pubdate'] = $inCore->dateFormat($music['pubdate']);
         
         $sql = "SELECT  album_name FROM  cms_music_album WHERE  id = '{$music['album_id']}'";
         
         $album = $this->inDB->fetch_assoc($this->inDB->query($sql));
         
         $music['album'] = $album['album_name'];
            
         $sql = "SELECT  singer_name FROM  cms_music_singer WHERE  id = '{$music['singer_id']}'";
            
         $singer = $this->inDB->fetch_assoc($this->inDB->query($sql));
            
         $music['singer'] = $singer['singer_name'];
         
         $sql = "SELECT genre_name FROM  cms_music_genre WHERE  id = '{$music['genre_id']}'";
            
         $genre = $this->inDB->fetch_assoc($this->inDB->query($sql));
            
         $music['genre'] = $genre['genre_name'];

         $musics[] = $music;
 
      }
      return $musics;
	
	}
	
	public function addmuspl($music_id,$user_id){
	
      $sql = "SELECT	id
						FROM cms_music_pl
						WHERE music_id = '{$music_id}' AND user_id = '{$user_id}'";
						
      $result = $this->inDB->query($sql);
      
      if (!$this->inDB->num_rows($result)) {
      
         $sql = "SELECT	id
						FROM cms_music_pl
						WHERE user_id = '{$user_id}'";
						
			$result1 = $this->inDB->query($sql);
			
			
	      if ($this->inDB->num_rows($result1)<10) {
	      
            $sql = "INSERT INTO cms_music_pl (music_id, user_id)
                VALUES ('{$music_id}', '{$user_id}')";
				
            $this->inDB->query($sql);
		
            if ($this->inDB->error()) { return false;}
            
            return 3;
         } else {
         	return 2;
         }
		
		} else {
         return 1;
      }
	
	}
	
	public function delmuspl($music_id,$user_id){
	
		$sql = "DELETE FROM cms_music_pl WHERE music_id = '{$music_id}' AND user_id = '{$user_id}'";
		
		$this->inDB->query($sql);
		
		if ($this->inDB->error()) { return false; }
		
		return true;
	}
	
	public function getCommentTarget($target, $target_id) {
	
		$inCore = cmsCore::getInstance();
	
		$sql = "SELECT	name
						FROM cms_music
						WHERE id = '{$target_id}'";
						
		$result = $this->inDB->query($sql);

      $musics = array();
		
		$musics['link'] = '/music/musics'.$target_id;
		
		$musics['title'] = $this->inDB->fetch_assoc($result);
		
		return $musics;

    }
	
	public function listen($mus) {
	
		$inCore = cmsCore::getInstance();
	
		$sql = "SELECT	listen
						FROM cms_music
						WHERE id = '{$mus}'";
						
		$result = $this->inDB->query($sql);
		
		$listen = $this->inDB->fetch_assoc($result);
		
		$listen ['listen'] = ++$listen ['listen'];
		
		return $listen ['listen'];

    }
	
	public function listened($mus) {
	
		$inCore = cmsCore::getInstance();
	
		$sql = "SELECT	listened
						FROM cms_music
						WHERE id = '{$mus}'";
						
		$result = $this->inDB->query($sql);
		
		$listened = $this->inDB->fetch_assoc($result);
		
		$listened [listened] = ++$listened [listened];
		
		return $listened [listened];

    }
    
    public function getAlbumMusic($album_id,$page,$perpage) {
	
		$inCore = cmsCore::getInstance();
		
		$sql = "SELECT	id,
						user_id,
						name,
						singer_id,
						genre_id,
						music_url,
						listen,
						listened,
						pubdate
						FROM cms_music
						WHERE album_id = '{$album_id}'
						ORDER BY pubdate DESC 
						LIMIT ".(($page-1)*$perpage).", $perpage";
 
        $result = $this->inDB->query($sql);

        if ($this->inDB->error()) { return false; }

        if (!$this->inDB->num_rows($result)) { return false; }

        $musics = array();

        while ($music = $this->inDB->fetch_assoc($result)){

            $music['pubdate'] = $inCore->dateFormat($music['pubdate']);
            
            $sql = "SELECT  singer_name FROM  cms_music_singer WHERE  id = '{$music['singer_id']}'";
            
            $singer = $this->inDB->fetch_assoc($this->inDB->query($sql));
            
            $music['singer'] = $singer['singer_name'];
            
            $sql = "SELECT genre_name FROM  cms_music_genre WHERE  id = '{$music['genre_id']}'";
            
            $genre = $this->inDB->fetch_assoc($this->inDB->query($sql));
            
            $music['genre'] = $genre['genre_name'];

            $musics[] = $music;
 
        }
        return $musics;
    }
    
    public function getSingerMusic($singer_id,$page,$perpage) {
	
		$inCore = cmsCore::getInstance();
		
		$sql = "SELECT	id,
						user_id,
						name,
						album_id,
						genre_id,
						music_url,
						listen,
						listened,
						pubdate
						FROM cms_music
						WHERE singer_id = '{$singer_id}'
						ORDER BY pubdate DESC 
						LIMIT ".(($page-1)*$perpage).", $perpage";
 
        $result = $this->inDB->query($sql);

        if ($this->inDB->error()) { return false; }

        if (!$this->inDB->num_rows($result)) { return false; }

        $musics = array();

        while ($music = $this->inDB->fetch_assoc($result)){

            $music['pubdate'] = $inCore->dateFormat($music['pubdate']);
            
            $sql = "SELECT  album_name FROM  cms_music_album WHERE  id = '{$music['album_id']}'";
         
            $album = $this->inDB->fetch_assoc($this->inDB->query($sql));
         
            $music['album'] = $album['album_name'];
            
            $sql = "SELECT genre_name FROM  cms_music_genre WHERE  id = '{$music['genre_id']}'";
            
            $genre = $this->inDB->fetch_assoc($this->inDB->query($sql));
            
            $music['genre'] = $genre['genre_name'];

            $musics[] = $music;
 
        }
        return $musics;
    }
    
    public function getAlbum($album_id) {
    	$inCore = cmsCore::getInstance();
    	$sql = "SELECT	album_name,
						   description,
						   photo,
						   user_id,
						   pubdate
						FROM cms_music_album
						WHERE id = '{$album_id}'";
		$result = $this->inDB->query($sql);

      if ($this->inDB->error()) { return false; }

      if (!$this->inDB->num_rows($result)) { return false; }

      $album = array();

      while ($alb = $this->inDB->fetch_assoc($result)){

          $alb['pubdate'] = $inCore->dateFormat($alb['pubdate']);

          $album[] = $alb;
 
      }
      return $album;
    }
    
    public function getSinger($singer_id) {
    	$inCore = cmsCore::getInstance();
    	$sql = "SELECT	singer_name,
						   description,
						   photo,
						   user_id,
						   pubdate
						FROM cms_music_singer
						WHERE id = '{$singer_id}'";
		$result = $this->inDB->query($sql);

      if ($this->inDB->error()) { return false; }

      if (!$this->inDB->num_rows($result)) { return false; }

      $singer = array();

      while ($sin = $this->inDB->fetch_assoc($result)){

          $sin['pubdate'] = $inCore->dateFormat($sin['pubdate']);

          $singer[] = $sin;
 
      }
      return $singer;
    }
    
    public function getAlbumId($album) {
      $inCore = cmsCore::getInstance();
    	$sql = "SELECT	id
						FROM cms_music_album
						WHERE album_name LIKE '%$album%'";
		$result = $this->inDB->query($sql);
		
		if ($this->inDB->error()) { return false; }

      if (!$this->inDB->num_rows($result)) { return false; }
      
      $alb = $this->inDB->fetch_assoc($result);
    	
      return $alb['id'];
    }
    
    public function getSingerId($singer) {
      $inCore = cmsCore::getInstance();
    	$sql = "SELECT	id
						FROM cms_music_singer
						WHERE singer_name LIKE '%$singer%'";
		$result = $this->inDB->query($sql);
		
		if ($this->inDB->error()) { return false; }

      if (!$this->inDB->num_rows($result)) { return false; }
      
      $sin = $this->inDB->fetch_assoc($result);
    	
      return $sin['id'];
    }
    
    public function addAlbum($album, $user_id) {
      $inCore = cmsCore::getInstance();
    	$sql = "INSERT INTO cms_music_album (album_name, user_id, pubdate)
                VALUES ('{$album}', '{$user_id}', NOW())";
                
      $this->inDB->query($sql);

      if ($this->inDB->error()) { return false; }

      return $this->inDB->get_last_id('cms_music_album');
    }
    
    public function addSinger($singer, $user_id) {
      $inCore = cmsCore::getInstance();
    	$sql = "INSERT INTO cms_music_singer (singer_name, user_id, pubdate)
                VALUES ('{$singer}', '{$user_id}', NOW())";
                
      $this->inDB->query($sql);

      if ($this->inDB->error()) { return false; }

      return $this->inDB->get_last_id('cms_music_singer');
    }
    
    public function getSingers($page,$perpage) {
    	$inCore = cmsCore::getInstance();
    	$sql = "SELECT  id,
    	                singer_name,
    	                description,
    	                photo,
    	                user_id,
    	                pubdate
						FROM cms_music_singer
						ORDER BY pubdate DESC
						LIMIT ".(($page-1)*$perpage).", $perpage";
						
		$result = $this->inDB->query($sql);
		
		if ($this->inDB->error()) { return false; }

      if (!$this->inDB->num_rows($result)) { return false; }
		
		$singers = array();

      while ($singer = $this->inDB->fetch_assoc($result)){

          $singer['pubdate'] = $inCore->dateFormat($singer['pubdate']);
          
          $sql = "SELECT id FROM cms_music WHERE singer_id = '{$singer['id']}'";
          
          $singer['mus'] = $this->inDB->num_rows($this->inDB->query($sql));

          $singers[] = $singer;
 
      }
      return $singers;
   }
    
    public function getAlbums($page,$perpage) {
    	$inCore = cmsCore::getInstance();
    	$sql = "SELECT  id,
    	                album_name,
    	                description,
    	                photo,
    	                user_id,
    	                pubdate
						FROM cms_music_album
						ORDER BY pubdate DESC
						LIMIT ".(($page-1)*$perpage).", $perpage";
						
		$result = $this->inDB->query($sql);
		
		if ($this->inDB->error()) { return false; }

      if (!$this->inDB->num_rows($result)) { return false; }
		
		$albums = array();

      while ($album = $this->inDB->fetch_assoc($result)){

          $album['pubdate'] = $inCore->dateFormat($album['pubdate']);
          
          $sql = "SELECT id FROM cms_music WHERE album_id = '{$album['id']}'";
          
          $album['mus'] = $this->inDB->num_rows($this->inDB->query($sql));

          $albums[] = $album;
 
      }
      return $albums;
    }
    
    public function getGenre() {
    	$sql = "SELECT  id,
    	                genre_name
						FROM cms_music_genre";
						
		$result = $this->inDB->query($sql);
		
		$genres = array();
		
		while ($genre = $this->inDB->fetch_assoc($result)){
		    $genres[] = $genre;
		}
		
		return $genres;
    }
    
    public function getMusName($id){
    	$sql = "SELECT  name
						FROM cms_music
						WHERE id = '{$id}'";
		$result = $this->inDB->query($sql);
		
		while ($names = $this->inDB->fetch_assoc($result)){
		    $name = $names['name'];
		}
		
		return $name;
    }
    
    public function getSingerName($id){
      $sql = "SELECT  singer_name
						FROM cms_music_singer
						WHERE id = '{$id}'";
		$result = $this->inDB->query($sql);
		
		while ($names = $this->inDB->fetch_assoc($result)){
		    $name = $names['singer_name'];
		}
		
		return $name;
    }
    
    public function getAlbumName($id){
      $sql = "SELECT  album_name
						FROM cms_music_album
						WHERE id = '{$id}'";
		$result = $this->inDB->query($sql);
		
		while ($names = $this->inDB->fetch_assoc($result)){
		    $name = $names['album_name'];
		}
		
		return $name;
    }
    
    public function EditAlbum($album_id,$album_name,$description,$photo){
      if ($photo) {
      	$sql = "UPDATE cms_music_album
                     SET album_name = '$album_name',
                         description = '$description',
                         photo = '$photo'
                         WHERE id = $album_id";
      
         $this->inDB->query($sql);
      
         if ($this->inDB->error()) { return false; }
      
         return true;
      } else {
      	$sql = "UPDATE cms_music_album
                     SET album_name = '$album_name',
                         description = '$description'
                         WHERE id = $album_id";
      
         $this->inDB->query($sql);
      
         if ($this->inDB->error()) { return false; }
      
         return true;
      }
      
    }
    
    public function EditSinger($singer_id,$singer_name,$description,$photo){
      if ($photo) {
         $sql = "UPDATE cms_music_singer
                     SET singer_name = '$singer_name',
                         description = '$description',
                         photo = '$photo'
                         WHERE id = $singer_id";
      
         $this->inDB->query($sql);
      
         if ($this->inDB->error()) { return false; }
      
         return true;
      } else {
      	$sql = "UPDATE cms_music_singer
                     SET singer_name = '$singer_name',
                         description = '$description'
                         WHERE id = $singer_id";
      
         $this->inDB->query($sql);
      
         if ($this->inDB->error()) { return false; }
      
         return true;
      }
    }
    
    public function getPl($user_id){
      $sql = "SELECT  id
						FROM cms_music_pl_list
						WHERE user_id = '{$user_id}'";
						
		$result = $this->inDB->query($sql);
		
		if (!$this->inDB->num_rows($result)) { return false; }

		return true;
    }

    public function addPl($user_id){
      $sql = "INSERT INTO cms_music_pl_list (user_id, pl_name)
                VALUES ('{$user_id}', '')";
                
      $this->inDB->query($sql);

      if ($this->inDB->error()) { return false; }

      return true;
    }
    
    public function getMusPl($user_id){
    $inCore = cmsCore::getInstance();
      $sql = "SELECT  music_id
						FROM cms_music_pl
						WHERE user_id = '{$user_id}'";
                
      $result = $this->inDB->query($sql);

      if ($this->inDB->error()) { return false; }
      
      if (!$this->inDB->num_rows($result)) { return false; }
      
      $musics = array();
      
      while ($mus = $this->inDB->fetch_assoc($result)){
         $sql = "SELECT	id,
						user_id,
						name,
						album_id,
						singer_id,
						genre_id,
						music_url,
						listen,
						listened,
						pubdate
						FROM cms_music
						WHERE id = '{$mus['music_id']}'";
						
         $result1 = $this->inDB->query($sql);
         
         while ($mus1 = $this->inDB->fetch_assoc($result1)){
         
            $mus['user_id'] = $mus1['user_id'];
            
            $mus['name'] = $mus1['name'];
            
            $mus['music_url'] = $mus1['music_url'];
            
            $mus['listen'] = $mus1['listen'];
            
            $mus['listened'] = $mus1['listened'];
            
            $mus['pubdate'] = $inCore->dateFormat($mus1['pubdate']);
         
            $sql = "SELECT  album_name FROM  cms_music_album WHERE  id = '{$mus1['album_id']}'";
         
            $album = $this->inDB->fetch_assoc($this->inDB->query($sql));
         
            $mus['album'] = $album['album_name'];
            
            $sql = "SELECT  singer_name FROM  cms_music_singer WHERE  id = '{$mus1['singer_id']}'";
            
            $singer = $this->inDB->fetch_assoc($this->inDB->query($sql));
            
            $mus['singer'] = $singer['singer_name'];
         
            $sql = "SELECT genre_name FROM  cms_music_genre WHERE  id = '{$mus1['genre_id']}'";
            
            $genre = $this->inDB->fetch_assoc($this->inDB->query($sql));
            
            $mus['genre'] = $genre['genre_name'];
         }
         
         $musics[] = $mus;
		}

      return $musics;
    }
    
    public function getMusPlmini($user_id){
      $sql = "SELECT  music_id
						FROM cms_music_pl
						WHERE user_id = '{$user_id}'";
                
      $result = $this->inDB->query($sql);
      
      $musics = array();
      
      while ($mus = $this->inDB->fetch_assoc($result)){
         $musics[]=$mus;
      }
      
      return $musics;
    }
}
?>
